#/**
#         ogr Echo [str_loglevel] "str_message..."
#@brief   Muestra mensajes en consola y lo registra en fichero de incidencias.
#@param   str_loglevel nivel de registro de incidencias.
#@param   str_message  mensaje (puede recibir más de 1 parámetro.
#@return  Mensaje mostrado.
#@note    El nivel de ayuda \c (help) no se registra en el fichero de incidencias.
#@version 0.9 - Primera versión para OpenGnSys
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2009-07-23
#*/
# Variables locales
local LOGLEVEL LOGFILE DATETIME

# Selección del nivel de registro (opcional).
case "$1" in
     help)    shift ;;
     info)    LOGLEVEL=$1; shift ;;
     warning) LOGLEVEL=$1; shift ;;
     error)   LOGLEVEL=$1; shift ;;
     *)       ;;
esac
# Pendiente en cliente Initrd.
#DATETIME=$(date +"%F %T")

if [ -n "$LOGLEVEL" ]; then
    logger -s -t "OpenGnSys $LOGLEVEL" $LOGFILE "$DATETIME $*"
else
    echo "$*"
fi
